curl --request GET \
--url https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/customer-credits/{credit_id}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/customer-credits/{credit_id}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox.thredfi.com/v1/platform/businesses/{business_id}/customer-credits/{credit_id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "draft",
"sent_at": "2023-11-07T05:31:56Z",
"customer": {},
"source_invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"line_items": [
{
"amount": 123,
"revenue_account_identifier": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "AccountId"
},
"tags": [
"<string>"
],
"memo": "<string>",
"metadata": "<unknown>"
}
],
"allocations": [
{
"invoice_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"invoice_number": "<string>",
"amount_cents": 123,
"invoice_outstanding_balance_cents": 123,
"applied_at": "2023-11-07T05:31:56Z"
}
],
"tags": [
{}
],
"total_amount": 123,
"applied_amount": 123,
"document": {
"url": "<string>",
"expires_in": 123,
"document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"file_name": "<string>",
"file_size": 123,
"mime_type": "<string>"
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"external_id": "<string>",
"currency": "EUR"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}{
"error_code": "<string>",
"message": "<string>",
"detail": {},
"request_id": "<string>"
}Get Customer Credit
Retrieve a single customer credit by ID with all line items and allocations.
Authorizations
Partner-level JWT token (unscoped). Token payload includes partner_id. Business access is validated via partner ownership. Format: Bearer <your-jwt-token>
Use this for: Multi-business operations where the business_id is specified in the URL and partner has access to multiple businesses.
Path Parameters
Business UUID provided by Thred (unique identifier for the business)
A UUID string identifying this customer credit note.
Response
Customer credit serializer for API responses.
Unique customer credit identifier
Credit status: draft, sent, partially_applied, applied, void (computed from allocations)
draft, sent, applied, partially_applied, void When the credit was sent
Customer receiving this credit (inline details)
Show child attributes
Show child attributes
Invoice ID this credit was created from (origin tracking, not allocation)
Array of credit line items
Show child attributes
Show child attributes
Array of invoice allocations
Show child attributes
Show child attributes
Transaction tags for the credit
Show child attributes
Show child attributes
Total credit amount in cents
Applied credit amount in cents
Latest document linked to this customer credit
Show child attributes
Show child attributes
Credit creation timestamp
Last update timestamp
Your external system identifier for this credit
255Credit currency (e.g., GBP, EUR, USD)
EUR- EuroGBP- British PoundUSD- US DollarSEK- Swedish KronaNOK- Norwegian KroneDKK- Danish KroneISK- Icelandic KrónaMYR- Malaysian RinggitSGD- Singapore Dollar
EUR, GBP, USD, SEK, NOK, DKK, ISK, MYR, SGD Was this page helpful?